#include <bits/stdc++.h>
using namespace std;

int main() {
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    long long a, b, r=0, i=1;
    cin>>a>>b;
    while(a+b>0) {
        r+=i*max(a%10, b%10);
        i*=10;
        if(a%10==b%10&&a*b!=0) {
            r+=i*max(a%10, b%10);
            i*=10;
        }
        a/=10;
        b/=10;
    }
    cout<<r;
    return 0;
}